Foreman - Bug #14720

User not shown error message when invalid email address copied from external auth source
04/19/2016 03:28 PM - Bryan Kearney

Status: Closed
Priority: Normal
Assignee: Ashish Humbe
Category: Authentication
Target version: 1.13.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1317745 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3598
Description

If the email address is not updated correctly in the LDAP server then while logining in to satellite webui with same username fails to
create user.

The error message from log:

2016-03-11 04:18:15 [I] Failed to save User 'sat6-user2' ["Email address is invalid"]
2016-03-11 04:18:15 [I] invalid user

2016-03-11 04:18:15 [I] Redirected to https://satellite.example.com/users/login
2016-03-11 04:18:15 [I] Completed 302 Found in 945ms (ActiveRecord: 2.7ms)

The customer's expectation is to have a page in which there is written the wrong parameter, asking to override it.
Or, at least, having a message in WEB GUI like "XXX (here email) parameter are not correct please correct it".

Related issues:
Related to Foreman - Bug #15682: User with invalid email address from LDAP au... Closed
Has duplicate Foreman - Bug #15450: Handling invalid email format returned fr... Duplicate 06/17/2016

Associated revisions

Revision 714a42c5 - 07/13/2016 03:05 PM - Ashish Humbe

Fixes #14720 - Handling invalid email from auth source

History

#1 - 04/19/2016 03:28 PM - Bryan Kearney
- Bugzilla link set to 1317745

#2 - 04/20/2016 03:11 AM - Dominic Cleal

- Subject changed from If the email address is not updated correctly in the LDAP server then while logining in to satellite webui with same username
should throw valid error message. to User not shown error message when invalid email address copied from external auth source

#3 - 06/17/2016 06:34 AM - Dominic Cleal

- Has duplicate Bug #15450: Handling invalid email format returned from an authentication source added

#4 - 06/17/2016 07:40 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3598 added

#5 - 07/13/2016 04:01 PM - Ashish Humbe
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100
https://satellite.example.com/users/login

Applied in changeset 714a42c51d2bb6e2e61b4b99fb7183573e8bfd1c.

#6 - 07/14/2016 04:14 AM - Dominic Cleal
- Assignee set to Ashish Humbe

- translation missing: en.field_release set to 161

#7 - 07/14/2016 05:37 AM - Dominic Cleal
- Related to Bug #15682: User with invalid email address from LDAP auth source still able to log in added

#8 - 07/14/2016 05:37 AM - Dominic Cleal

- translation missing: en.field_release changed from 161 to 160
